VIPW(8)

NAZWA
vipw, vigr - edytuj plik haseł, grup lub ich wersji chronionych

SKŁADNIA

vipw [opcje]

vigr [opcje]

OPIS

Polecenia vipw i vigr umożliwiają modyfikację plików odpowiednio /etc/passwd i /etc/group. Przy zastosowaniu flagi -s modyfikują także dodatkowe wersje chronione tych plików - odpowiednio /etc/shadow i /etc/gshadow. Dla ochrony przed uszkodzeniem w trakcie modyfikacji tych plików programy te ustawiają odpowiednie blokady. Szukając edytora programy te używają w pierwszej kolejności zmiennej środowiska $VISUAL, a następnie $EDITOR, a na końcu a na końcu domyślnego edytora vi(1).

OPCJE

Polecenia vipw i vigr posiadają następujące opcje:Polecenia vipw i vigr posiadają następujące opcje:

-g, --group
    Edycja bazy grup.

-h, --help
    Wyświetlenie komunikatu pomocy i zakończenie działania.

-p, --passwd
    Edycja bazy passwd.

-q, --quiet
    Cichy tryb pracy.

-s, --shadow
    Edycja bazy shadow lub gshadow.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    The default value is 0, meaning that there are no limits in the number of members in a group.

    This feature (split group) permits to limit the length of lines in the group file. This is useful to make sure that lines for NIS groups are not larger than 1024 characters.

    If you need to enforce such limit, you can use 25.

    Note: split groups may not be supported by all tools (even in the Shadow toolsuite. You should not use this variable unless you really need it.

PLIKI

/etc/group
    Informacje o grupach użytkowników.

/etc/gshadow
    Informacje chronione o grupach użytkowników.

/etc/passwd
    Informacja o kontach użytkowników.

/etc/shadow
    Informacje chronione o użytkownikach.

ZOBACZ TAKŻE

vi(1), group(5), gshadow(5)passwd(5), shadow(5).